document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_4700
--- +++ @@ -7,8 +7,8 @@ perl Makefile.PL make test make PREFIX=. install -cp exiftool ../exiftool -cp lib ../lib -r +cp exiftool ../lib/exiftool +# cp lib ../lib -r popd rm tmp -rf rm Image-ExifTool-10.02* -rf
bash
d_bash_4701
--- +++ @@ -1,4 +1,7 @@ #!/bin/bash + +# Set timeout length +timeout="300" # Requirements: xssstate, i3lock @@ -8,7 +11,7 @@ touch /tmp/xscreen-lock # Use xset s $time to control the timeout when this will run. -xset s 300 +xset s $timeout cmd="i3lock" # Check if the 1st argument is file @@ -22,6 +25,14...
bash
d_bash_4702
--- +++ @@ -18,11 +18,11 @@ elif [[ -f /etc/debian_version ]] ; then cp /etc/debian_version $TMP/etc/debian_version else - fatal "$OS is not supported." + echo "$OS is not supported." fi ;; *) - fatal "$OS is not supported." + echo "$OS is not supporte...
bash
d_bash_4703
--- +++ @@ -17,6 +17,13 @@ exit 1 fi +SCRIPTDIR=`dirname "$0"` + +pushd $SCRIPTDIR/../src/ + mvn release:clean mvn release:prepare --batch-mode -DreleaseVersion=$RELEASE_VERSION mvn release:perform --batch-mode + +popd +
bash
d_bash_4704
--- +++ @@ -16,6 +16,7 @@ alias subs='filebot -get-subtitles' alias mou='open -a Mou' alias subl='Open -a "Sublime Text 2"' +alias br='Open -a "Brackets"' # ZMV autoload zmv
bash
d_bash_4705
--- +++ @@ -1,4 +1,4 @@ -docker run -i --rm -p 4000:4000 -v $PWD:/srv/jekyll numascott/jekylldev:latest +docker run -i --rm -p 4000:4000 -v "$PWD:/srv/jekyll" numascott/jekylldev:latest # Breaking it down @@ -15,8 +15,10 @@ # 4000:4000 # Map port 4000 inside the Docker container to port 4000 inside our compute...
bash
d_bash_4706
--- +++ @@ -1,7 +1,16 @@ #!/bin/sh EXPECTED_PODS=$1 +TIMEOUT=300 +NOW=$(date +%s) +END=$(($NOW + $TIMEOUT)) +echo "Waiting until $END" while true do + NOW=$(date +%s) + if [ $NOW -gt $END ]; then + echo "Timed out waiting for nodes to come up!" + exit 1 + fi num_running=`oc get pods | ...
bash
d_bash_4707
--- +++ @@ -26,5 +26,4 @@ echo "Agreed to disclaimers: $(date)" > "$SCRIPTPATH/tmp/consented" fi -source "$SCRIPTPATH/maintenance/distro-update.sh" source "$SCRIPTPATH/batch-processes/bat-apps-install-uninstall.sh"
bash
d_bash_4708
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh # sync mail from IMAP -/usr/local/bin/mbsync chris > /tmp/mbsync.log 2>&1 +/usr/local/bin/mbsync chris # do initial tagging /usr/local/bin/notmuch new
bash
d_bash_4709
--- +++ @@ -16,7 +16,7 @@ /app/letsencrypt_service & letsencrypt_service_pid=$! -docker-gen -watch -only-exposed -notify '/app/update_certs' -wait 15s:60s /app/letsencrypt_service_data.tmpl /app/letsencrypt_service_data & +docker-gen -watch -notify '/app/update_certs' -wait 15s:60s /app/letsencrypt_service_data.t...
bash
d_bash_4710
--- +++ @@ -17,7 +17,7 @@ if git describe --tags --match='[0-9]*.[0-9]*.[0-9]*' --exact-match then VERSION=$(git describe --tags --exact-match --match='[0-9]*.[0-9]*.[0-9]*') - PACKAGE=${PROJ_NAME_}${VERSION}.tar.gz + PACKAGE=${PROJ_NAME}-${VERSION}.tar.gz cd rel tar zcvf $PACKAGE $PROJ_NAME/ ...
bash
d_bash_4711
--- +++ @@ -1,8 +1,7 @@ #! /bin/sh -ROOT=bin/root - dir=`pwd` +ROOT=$dir/bin/root cd tutorials # we need tutorials/hsimple.root if [ ! -f hsimple.root ]; then
bash
d_bash_4712
--- +++ @@ -11,7 +11,9 @@ sudo apt-get update -q sudo apt-get install -q -y -o Dpkg::Options::=--force-confnew mysql-server sudo mysql_upgrade -sudo service mysql restart +sudo service mysql stop -TEMP_PASSWORD=`sudo cat /var/log/mysql/error.log | grep "A temporary password is generated for" | awk '{print $NF}'`...
bash
d_bash_4713
--- +++ @@ -7,8 +7,9 @@ NAME=$(grep -E -e '^#define[[:space:]]+NAME' common.h |cut -f3 |tr -d '"') VERSION=$(grep -E -e '^#define[[:space:]]+VERSION' common.h |cut -f3 |tr -d '"') +SVN_VERSION=$(svn info |awk '/^Revision:/ {print $2}') -if printf "version\n" |./kc -b -k regress/test -p regress/testpass |grep -E...
bash
d_bash_4714
--- +++ @@ -4,9 +4,9 @@ NC='\033[0m' ls -/docker/scripts/ci.sh +/var/www/html/docker/scripts/ci.sh -/docker/scripts/setup.sh +/var/www/html/docker/scripts/setup.sh chmod 777 -Rf /var/www/html/var
bash
d_bash_4715
--- +++ @@ -9,28 +9,14 @@ export GOPATH=$PWD/buildpack export GOBIN=/usr/local/bin - - -if [ "$LANGUAGE" = "go" ]; then - update_dir="src/golang" -elif [ "$LANGUAGE" = "staticfile" ]; then - update_dir="src/staticfile" -else - update_dir="src/compile" -fi - pushd buildpack pushd "$update_dir" - go get gith...
bash
d_bash_4716
--- +++ @@ -22,6 +22,7 @@ install_cask namechanger install_cask codekit install_cask cyberduck +install_cask the-unarchiver install_cask mamp rm -rf '/Applications/MAMP PRO' install_cask keybase
bash
d_bash_4717
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash -if git diff --name-only HEAD~1 HEAD | grep ChangeLog; then - echo "##vso[task.setvariable variable=RunTests;isOutput=true]true" -fi +#if git diff --name-only HEAD~1 HEAD | grep ChangeLog; then +# echo "##vso[task.setvariable variable=RunTests;isOutput=true]true" +#fi
bash
d_bash_4718
--- +++ @@ -30,10 +30,12 @@ username=${path%%/*} username=${username#"~"} IFS=: read _ _ _ _ _ homedir _ < <(getent passwd "$username") - if [[ $path = */* ]]; then - path=${homedir}/${path#*/} - else - path=$homedir + if [ "$homedir" ]; then + ...
bash
d_bash_4719
--- +++ @@ -15,4 +15,5 @@ --enable-ecore-con \ --enable-ecore-ipc \ --enable-ecore-txt \ +--enable-ecore-config \ $@
bash
d_bash_4720
--- +++ @@ -22,6 +22,7 @@ echo "Building..." cd "$builddir/$subdir" npm install 2>&1 | tee -a "$buildlog" +test -d Me || mkdir Me echo "Compressing..." (cd "$builddir"; tar czf "$out" "$subdir")
bash
d_bash_4721
--- +++ @@ -15,7 +15,7 @@ fi [ ! -f ${_cake_task_cache_file} ] && return 0; - [ ${_cake_task_cache_file} -nt Cakefile ] && return 0; + [ Cakefile -nt ${_cake_task_cache_file} ] && return 0; return 1; }
bash
d_bash_4722
--- +++ @@ -5,4 +5,8 @@ eval "$(pyenv init -)" fi -coveralls --exclude 'test' --exclude 'usr' --gcov "$GCOV" --gcov-options '\-lp' +coveralls \ + --exclude 'test' \ + --exclude 'usr' \ + --exclude '3rd-party' \ + --gcov "$GCOV" --gcov-options '\-lp'
bash
d_bash_4723
--- +++ @@ -8,6 +8,10 @@ #alias for bash settings alias settings="subl ~/.bash_aliases ~/.bashrc ~/.vimrc \"${DOTFILES_DIR}aliases_ubuntu.bash\" \"${DOTFILES_DIR}aliases_shared.bash\"" alias reload="source ~/.bashrc;" + +#GIT +#open stack overflow to add part of file in git to staging +alias git_part="sensible-bro...
bash
d_bash_4724
--- +++ @@ -20,6 +20,7 @@ files_to_upload=( dist/* ) for fpath in "${files_to_upload[@]}"; do + echo echo "Uploading '$fpath' to Github..." name=$(basename "$fpath") url_to_upload="https://uploads.github.com/repos/$CIRRUS_REPO_FULL_NAME/releases/$CIRRUS_RELEASE/assets?name=$name" @@ -28,7 +29,10 @@ --hea...
bash
d_bash_4725
--- +++ @@ -1,7 +1,7 @@ #! /usr/bin/env bash set -x echo "Generating documentation..." -find . -type f -name "*.js" -not -path "*/node_modules/*" -not -path "*/docs/*" -not -path "*/apps/bin" -not -path "*/ui/*" | xargs documentation build -f html -o docs --sort-order alpha +find . -type f -name "*.js" -not -path ...
bash
d_bash_4726
--- +++ @@ -5,6 +5,8 @@ fi MAVEN_REPO=$HOME/.m2/repository export MONO_PATH=/Developer/MonoTouch/usr/lib/mono/2.1 + +cd `dirname $0` echo "Converting Java bytecode to CLR dll..." rm -f tests-core.dll
bash
d_bash_4727
--- +++ @@ -3,7 +3,7 @@ pkg_description="ruby — A PROGRAMMER'S BEST FRIEND" function install_package() { - b.system.brew_install_new grep rbenv ruby-build rbenv-gem-rehash rbenv-gemset + b.system.brew_install_new grep rbenv ruby-build rbenv-gemset unset GREP_OPTIONS rbenv install $(rbenv install -l | gr...
bash
d_bash_4728
--- +++ @@ -11,9 +11,8 @@ } function test_container { - local QUERY_TIMEOUT=150 - local QUERY_PERIOD=15 - local QUERY_RETRIES=$((QUERY_TIMEOUT/QUERY_PERIOD)) + local QUERY_PERIOD=5 + local QUERY_RETRIES=30 trap cleanup EXIT
bash
d_bash_4729
--- +++ @@ -1,4 +1,4 @@ #!/bin/sh -npm install -g codeclimate-test-reporter -codeclimate-test-reporter < ./coverage/lcov.info +npm install codeclimate-test-reporter +./node_modules/.bin/codeclimate-test-reporter < ./coverage/lcov.info
bash
d_bash_4730
--- +++ @@ -3,7 +3,8 @@ declare -A aliases aliases=( - [2.1]='latest' + [2.1]='2 latest' + [1.9]='1' ) cd "$(dirname "$(readlink -f "$BASH_SOURCE")")"
bash
d_bash_4731
--- +++ @@ -8,7 +8,7 @@ SYNOPSIS - add_compute_resource.sh NAME DESCRIPTION + add_compute_resource.sh NAME URL [--description DESCRIPTION] ARGS @@ -16,7 +16,11 @@ Compute resource's name. - DESCRIPTION + URL + + Compute resource's (pfcon) url. + + --description DESCRIPTION Co...
bash
d_bash_4732
--- +++ @@ -12,7 +12,7 @@ echo "https://github.com/AdoptOpenJDK/openjdk12-binaries/releases/download/jdk-12.0.2%2B10/OpenJDK12U-jdk_x64_linux_hotspot_12.0.2_10.tar.gz" ;; java13) - echo "https://github.com/AdoptOpenJDK/openjdk13-binaries/releases/download/jdk13u-2019-07-17-05-32/OpenJDK13U-jdk_x64_linux_hot...
bash
d_bash_4733
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash set -e -version="20.10.16" +version="20.10.17" echo "https://download.docker.com/linux/static/stable/x86_64/docker-$version.tgz";
bash
d_bash_4734
--- +++ @@ -11,6 +11,7 @@ OLDESTPWD="$PWD" go build +rm -f "$PWD/rootfs" mkdir -p "$PWD/rootfs/usr/local/bin" mv "$PWD/go-audit" "$PWD/rootfs/usr/local/bin/"
bash
d_bash_4735
--- +++ @@ -15,6 +15,7 @@ brew cask install knock brew cask install mysql-workbench brew cask install selfcontrol +brew cask install sequel-pro brew cask install sizeup brew cask install skype brew cask install teamviz
bash
d_bash_4736
--- +++ @@ -7,6 +7,7 @@ echo buildah:1001:9999 >/etc/subuid echo buildah:1001:9999 >/etc/subgid +install -o buildah -g buildah -m 00700 -d /buildah/.config install -o buildah -g buildah -m 00700 -d /buildah/.local install -o buildah -g buildah -m 00700 -d /buildah/.local/share install -o buildah -g buildah -m ...
bash
d_bash_4737
--- +++ @@ -1,9 +1,5 @@ #!/bin/bash set -e - -echo "host all all 10.0.0.14/32 md5" >> /etc/postgresql/9.3/main/pg_hba.conf -echo "host all all 10.0.0.24/32 md5" >> /etc/postgresql/9.3/main/pg_hba.conf -service postgresql reload # initial...
bash
d_bash_4738
--- +++ @@ -1,2 +1,2 @@ -export PATH="./bin:/usr/local/bin:/usr/local/sbin:$ZSH/bin:$PATH" +export PATH="$PATH:./bin:/usr/local/bin:/usr/local/sbin:$ZSH/bin" export MANPATH="/usr/local/man:/usr/local/mysql/man:/usr/local/git/man:$MANPATH"
bash
d_bash_4739
--- +++ @@ -15,5 +15,6 @@ PV=pv fi -$PV ../../../omim-maps/$2.osm.bz2 | bzip2 -d | $INDEXER_TOOL --generate_intermediate_data=true --generate_final_data=false --use_light_nodes=true --generate_index=false --intermediate_data_path=$TMPDIR -$PV ../../../omim-maps/$2.osm.bz2 | bzip2 -d | $INDEXER_TOOL --generate_i...
bash
d_bash_4740
--- +++ @@ -10,6 +10,7 @@ sudo pacman -S openssh \ keepass \ wget \ +jdk8-openjdk \ firefox firefox-i18n-de \ thunderbird thunderbird-i18n-de \ libreoffice-still libreoffice-still-de \
bash
d_bash_4741
--- +++ @@ -14,5 +14,5 @@ # DBIx (re)generation perl -MDBIx::Class::Schema::Loader=make_schema_at,dump_to_dir:./modules/ \ - -e "make_schema_at(\"RNAseqDB::Schema\",{ debug => 1} , [ \"dbi:mysql:host=$DB_HOST:port=$DB_PORT:database=$DB_NAME\", $DB_USER, $DB_PASS ])" + -e "make_schema_at(\"RNAseqDB::Schema\",{ d...
bash
d_bash_4742
--- +++ @@ -5,7 +5,7 @@ https://github.com/google/googletest/archive/release-1.8.0.zip unzip release-1.8.0.zip cd googletest-release-1.8.0 -cmake -DCMAKE_PREFIX_PATH=.. . +cmake -DCMAKE_INSTALL_PREFIX=.. . make make install cd ..
bash
d_bash_4743
--- +++ @@ -1,4 +1,4 @@ -function gi() { curl https://www.gitignore.io/api/$@ ;} +function gi() { curl -L https://www.gitignore.io/api/$@ ;} _gitignoreio_get_command_list() { curl -s https://www.gitignore.io/api/list | tr "," "\n"
bash
d_bash_4744
--- +++ @@ -6,6 +6,9 @@ groupadd -r mop -g 444 useradd -u 441 -r -g mop -d /mnt/home -s /bin/bash -c "Modulus Image User" mop +# Make Modulus bin directory available in all shells +sed -i 's@PATH="\(.*\)"@PATH="/opt/modulus/bin:\1"@' /etc/environment + # Install node. curl -o /opt/modulus/nave.sh https://raw.gi...
bash
d_bash_4745
--- +++ @@ -3,10 +3,13 @@ ./script/bootstrap.sh -./script/install-all.sh +# Make sure that the bootstrap succeeded before trying to install the rest +if [ $? -ne 1 ]; then + ./script/install-all.sh -# Do this last to set default terminal to oh-my-zsh -chsh -s $(which zsh) + # Do this last to set default ...
bash
d_bash_4746
--- +++ @@ -1,18 +1,32 @@ #!/bin/bash set -e +declare -A aliases +aliases=( + [1.4]='1 latest' +) + cd "$(dirname "$(readlink -f "$BASH_SOURCE")")" -#version="$(grep -m1 'ENV ELASTICSEARCH_VERSION' "Dockerfile" | cut -d' ' -f3)" versions=( */ ) versions=( "${versions[@]%/}" ) url='git://github.com/docker-li...
bash
d_bash_4747
--- +++ @@ -2,27 +2,16 @@ SLAVE_ROOT=/var/lib/buildbot/slaves CORE_BUILD=${SLAVE_ROOT}/core-image-minimal/build/ -CORE_CONF=${CORE_BUILD}/conf/local.conf -CORE_LAYERS=${CORE_BUILD}/LAYERS +CORE_AUTO_CONF=${CORE_BUILD}/conf/auto.conf CORE_FETCH_CONF=${CORE_BUILD}/fetch.conf -# values we'll be setting in local.c...
bash
d_bash_4748
--- +++ @@ -9,16 +9,14 @@ ./piedpiper_make popd -FILES=($BASEDIR/tibby.264 $BASEDIR/black.264 $BASEDIR/../res/BAMQ2_JVC_C.264 $BASEDIR/../res/BA1_FT_C.264) - -if [ "$#" -eq 1 ] +if [ "$#" -ge 1 ] then - SAVEIFS=$IFS - IFS=$(echo -en "\n\b") - for f in $(ls $1); do - FILES+=("$1$f") + FILES=() ...
bash
d_bash_4749
--- +++ @@ -1,6 +1,16 @@ #!/bin/sh -arc_dir=$(dirname "$(readlink -f "$0")") + +if [ $(uname) == "Darwin" ]; then + if which -s greadlink; then + arc_dir=$(dirname "$(greadlink -f "$0")") + else + echo 'Please do "brew install coreutils".' + exit 1 + fi +else + arc_dir=$(dirname "$...
bash
d_bash_4750
--- +++ @@ -10,9 +10,12 @@ echo "Installing CKAN and its Python dependencies..." git clone https://github.com/ckan/ckan cd ckan -if [ $ CKANVERSION == '2.3'] +if [ $CKANVERSION == '2.3'] then git checkout release-v2.3 +elif [ $CKANVERSION == '2.4.0'] +then + get checkout release-v2.4.0 else git chec...
bash
d_bash_4751
--- +++ @@ -19,13 +19,13 @@ git add . git commit -m "Temporary" git clone ./ gateway -cd gateway || exit +cd gateway || exit 1 rm -fr .git cp -r ../node_modules ./ yarn ./node_modules/.bin/webpack rm -fr ./node_modules -cd .. || exit +cd .. || exit 1 tar czf gateway.tar.gz gateway rm -fr gateway ./tools/cr...
bash
d_bash_4752
--- +++ @@ -7,8 +7,8 @@ sudo mkdir -p /opt/<%= name %>/config/vhost.d sudo mkdir -p /opt/<%= name %>/config/html -touch /opt/<%= name %>/config/shared-config.sh -touch /opt/<%= name %>/config/env.list -touch /opt/<%= name %>/config/env_letsencrypt.list +sudo touch /opt/<%= name %>/config/shared-config.sh +sudo to...
bash
d_bash_4753
--- +++ @@ -1,7 +1,7 @@ TOOLSDIR=`readlink -f $(dirname "${BASH_SOURCE[0]}")` TRUNKDIR=`dirname ${TOOLSDIR}` cd $TRUNKDIR -ln -sf obj/release/dist/voltdb . +ln -sf obj/release/prod/voltdb . cd examples/twitter ant & sleep 60
bash
d_bash_4754
--- +++ @@ -16,7 +16,7 @@ set -e -PACK_VERSION=v0.11.0 +PACK_VERSION=v0.12.0 docker build . --build-arg PACK_VERSION=${PACK_VERSION} -t gcr.io/k8s-skaffold/pack:${PACK_VERSION} -t gcr.io/k8s-skaffold/pack:latest docker push gcr.io/k8s-skaffold/pack:${PACK_VERSION}
bash
d_bash_4755
--- +++ @@ -9,6 +9,7 @@ fi ./gradlew --no-daemon --info clean +./gradlew --no-daemon --info checkstyle -PdisablePreDex ./gradlew --no-daemon --info build countDebugDexMethods -PdisablePreDex # If we have a service key for the GCloud Cli then use remote testing otherwise run local tests
bash
d_bash_4756
--- +++ @@ -9,6 +9,9 @@ echo ' client - only run the tests from inside the client' echo ' server - only run the tests from inside the server' echo ' ID... - only run the tests matching these identifiers' + echo + echo 'To see the test id and filename as each test runs:' + echo ' SHOW_TEST_IDS=...
bash
d_bash_4757
--- +++ @@ -29,11 +29,6 @@ /tmp/${bazel_installer} rm /tmp/${bazel_installer} - if [[ ${BUILD_WITH_CUDA:-"OFF"} == "ON" ]]; then - # install libcupti - apt-get -y install cuda-command-line-tools-10-1 - fi - else echo "This script supports only Debian-based operating systems (like...
bash
d_bash_4758
--- +++ @@ -8,4 +8,4 @@ cabal build fi fi -command -v clang-format >/dev/null && clang-format -i core/*.h +command -v clang-format >/dev/null && clang-format -i core/*.h || true
bash
d_bash_4759
--- +++ @@ -14,7 +14,6 @@ zmodload -i zsh/complist -eval $(dircolors $HOME/src/nord-dircolors/src/dir_colors) zstyle ':completion:*' list-colors ${(s.:.)LS_COLORS} zstyle ':completion:*::::' completer _expand _complete _ignored _approximate
bash
d_bash_4760
--- +++ @@ -1,2 +1,3 @@ -export PATH=$HOME/bin:/usr/local/bin:/Developer/Tools:$PATH +export PATH=$HOME/bin:/usr/local/bin:/Developer/Tools:/Developer/usr/bin:$PATH # export PATH=$PATH:/usr/X11R6/bin +export MANPATH=/Developer/usr/share/man:`manpath -q`
bash
d_bash_4761
--- +++ @@ -18,17 +18,22 @@ semver="$(cat ${semver_dir}/number)" timestamp=$(date -u +"%Y-%m-%dT%H:%M:%SZ") +binname="davcli-${semver}-${GOOS}-amd64" +if [ $GOOS = "windows" ]; then + binname="$binname.exe"; +fi + pushd ${release_dir} > /dev/null git_rev=`git rev-parse --short HEAD` version="${semver}-$...
bash
d_bash_4762
--- +++ @@ -10,7 +10,7 @@ else echo "Installing CasperJS into $EXTERNAL_DIR" echo - wget https://github.com/n1k0/casperjs/tarball/master -O - | tar -xz - mv n1k0-casperjs-* casperjs + wget https://github.com/casperjs/casperjs/tarball/master -O - | tar -xz + mv casperjs-casperjs-* casperjs fi
bash
d_bash_4763
--- +++ @@ -14,7 +14,8 @@ PORT=$("$1/../get_open_port.py") "$1/generator.py" -t uptane --signature-encoding base64 -o vectors --cjson json-subset -"$1/server.py" -t uptane --signature-encoding base64 -P "$PORT" & +# disable werkzeug debug pin which causes issues on Jenkins +WERKZEUG_DEBUG_PIN=off "$1/server.py" -...
bash
d_bash_4764
--- +++ @@ -8,6 +8,7 @@ alias fuck-this-shit='git reset --hard HEAD; git clean -fd' alias lipsum='lorem-ipsum 10 paragraphs' alias fit-chrome='osascript -e '"'"'tell first window of application "Google Chrome" to set bounds to {0, 0, 1440, 820}'"'" +alias html-day-options='output=""; for i in {1..31}; do output+=$...
bash
d_bash_4765
--- +++ @@ -1,6 +1,6 @@ #!/bin/sh -if [ "${TRAVIS_OS_NAME}" != "osx" ]; then +if [ "${TRAVIS_OS_NAME}" = "osx" ]; then # https://www.ics.uci.edu/~pattis/common/handouts/macmingweclipse/allexperimental/mac-gdb-install.html echo "Cannot debug core files on macOS: ${1}" exit 1
bash
d_bash_4766
--- +++ @@ -16,7 +16,7 @@ echo fi } - +GOVUK_ENV=test basedir=$(dirname $0) venvdir=~/.virtualenvs/$(basename $(cd $(dirname $0) && pwd -P))
bash
d_bash_4767
--- +++ @@ -22,7 +22,8 @@ mktemp \ libffi-dev \ python-dev \ - python-pip + python-pip \ + wget tmpdir=`mktemp -d -p .` cd $tmpdir
bash
d_bash_4768
--- +++ @@ -21,7 +21,9 @@ # y audio default location # n no RFID registration # n No reboot -./scripts/installscripts/buster-install-default.sh <<< $'y\nn\n\ny\n\nn\n\ny\n\ny\n\ny\nn\nn\n' + +# TODO check, how this behaves on branches other than develop +GIT_BRANCH=develop bash ./scripts/installscripts/buster-inst...
bash
d_bash_4769
--- +++ @@ -13,7 +13,7 @@ ./manage.py init_data ./manage.py test -cd cwd +cd $cwd rm -rf ./tmp/ cookiecutter --no-input --output-dir="./tmp/" --config-file=cookiecutter-with-wagtail.yml . cd tmp
bash
d_bash_4770
--- +++ @@ -14,6 +14,6 @@ hab pkg exec core/hab-plan-build hab-plan-build "$@";; run) shift - hab pkg exec core/hab-backline bash --login "$@";; + hab pkg exec core/hab-backline bash --login -c "$@";; *) echo "Unknown Studio Command" && exit 1;; esac
bash
d_bash_4771
--- +++ @@ -2,9 +2,7 @@ # directories from the RPATH of every library or executable in every # output. -if [ -z "$dontPatchELF" ]; then - addHook fixupOutput 'patchELF "$prefix"' -fi +addHook fixupOutput 'if [ -z "$dontPatchELF" ]; then patchELF "$prefix"; fi' patchELF() { header "patching ELF executab...
bash
d_bash_4772
--- +++ @@ -3,7 +3,7 @@ echo "Package name $PACKAGE" set +x echo "Uploading to anaconda with anaconda upload..." - anaconda -t "$CONDA_UPLOAD_TOKEN" upload -u "$1" --force $PACKAGE + anaconda -t "$CONDA_UPLOAD_TOKEN" upload -u cinpla --force $PACKAGE echo "Upload command complete!" set ...
bash
d_bash_4773
--- +++ @@ -13,7 +13,7 @@ else sudo apt-get install -y default-jre fi -wget https://download.elastic.co/elasticsearch/release/org/elasticsearch/distribution/deb/elasticsearch/2.3.2/elasticsearch-2.3.2.deb -sudo dpkg -i elasticsearch-2.3.2.deb +wget https://download.elastic.co/elasticsearch/release/org/elastics...
bash
d_bash_4774
--- +++ @@ -24,7 +24,6 @@ git pull --ff-only --no-stat cp -r "$ROOT/doc" "$ROOT/dist" . -cp -r "$ROOT/visualizer/" ./editor # Temporary until main repo is changed. git add doc dist editor git commit -m "Update from cdglabs/ohm@${OHM_REV}" git push origin master
bash
d_bash_4775
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -for i in $(seq $(arcconf getversion | awk '/^Controllers found:.*$/{print $3}')); +for i in $(seq $(/usr/local/bin/arcconf getversion | awk '/^Controllers found:.*$/{print $3}')); do OUT=$(/usr/local/bin/arcconf getconfig $i LD | grep Status | grep -vi Optimal) if [ ...
bash
d_bash_4776
--- +++ @@ -11,18 +11,20 @@ # This script is typically used by cd'ing to a test directory and then # running TestRunner.sh with a list of test file names you want to run. # +TESTPATH=`pwd` +SUBDIR="" +while test `basename $TESTPATH` != "test" -a ! -z "$TESTPATH" ; do + tmp=`basename $TESTPATH` + SUBDIR="...
bash
d_bash_4777
--- +++ @@ -1,20 +1,23 @@ #!/bin/bash -dest=/home/maven/repository-staging/to-ibiblio +dir=/home/maven/repository-staging/to-ibiblio repocleanhome=$HOME/repository-tools/repoclean log=$repocleanhome/last-changes-java.net.log -cd $dest/maven-java.net +src=maven2-repoclean-java.net/com/sun +dst=maven2/com/sun + ...
bash
d_bash_4778
--- +++ @@ -15,9 +15,3 @@ #Ubuntu 13.10 cd ../ubuntu-13.10-server-amd64 packer build --only=virtualbox template.json - -#Old VM templates that we may still want freshly build VMs made from - -#Ubuntu 13.04 -cd ../old_templates/ubuntu-13.04-server-amd64 -packer build --only=virtualbox template.json
bash
d_bash_4779
--- +++ @@ -16,3 +16,4 @@ fi alias pacman-orphans="pacman -Qtdq" +alias pacman-remove-orphans="pacman -Rns \$(pacman -Qtdq)"
bash
d_bash_4780
--- +++ @@ -16,7 +16,7 @@ sudo apt-get install -y debconf-utils sudo apt-get -y upgrade -cat | sudo debconf-set-selections << EOF +cat > /tmp/chef_seed << EOF # New password for the 'admin' user in the Chef Server WebUI: chef-server-webui chef-server-webui/admin_password password ${CHEF_PASSWORD} # New passwor...
bash
d_bash_4781
--- +++ @@ -8,7 +8,10 @@ ./gradlew deployToBintraySnapshot fi elif [ "${TRAVIS_BRANCH}" = "release" ]; then - ./gradlew deployToBintray + ./gradlew deployToBintray + git tag "$(< version)" + git push https://isapp-ci:${GITHUB_TOKEN}@github.com/isapp/kontroller.git --tags -q + git con...
bash
d_bash_4782
--- +++ @@ -19,4 +19,5 @@ python $servo_root/src/test/wpt/run.py \ --config $servo_root/src/test/wpt/config.ini \ --binary $objdir/../servo \ + --log-mach - \ "$@"
bash
d_bash_4783
--- +++ @@ -9,6 +9,8 @@ grep TBA libraries/*/changelog.md && ( echo -e "${COLOR_RED}Error: Found \"TBA\"s in changelogs.${COLOR_NONE}" exit 1 +) || ( + echo -e "${COLOR_GREEN}changelogs look okay.${COLOR_NONE}" + exit 0 ) -echo -e "${COLOR_GREEN}changelogs look okay.${COLOR_NONE}"
bash
d_bash_4784
--- +++ @@ -4,6 +4,11 @@ # # NOTE: assumes existance of a "template_postgis" # NOTE2: use PG* environment variables to control who and where +# +# NOTE3: a side effect of the db preparation is the persistent creation +# of two database roles which will be valid for the whole cluster +# TODO: fix that...
bash
d_bash_4785
--- +++ @@ -12,7 +12,7 @@ bundle exec jekyll build # Push newly built repository -cp -r $CWD/_build/* /tmp/build # or $CWD/_site +cp -r $CWD/_site/* /tmp/build cd /tmp/build @@ -21,4 +21,4 @@ git add . git commit -m "Automated Rebuild" -git push -f origin use-jekyll-with-contentful +git push -f origin gh...
bash
d_bash_4786
--- +++ @@ -6,7 +6,7 @@ set -e if [ "$1" = 'server' ]; then - gunicorn server:api -b :$PORT + gunicorn server:api -b :$PORT --chdir armada/api fi if [ "$1" = 'tiller' ] || [ "$1" = 'apply' ]; then
bash
d_bash_4787
--- +++ @@ -11,7 +11,7 @@ : "${PUBLISHING_PASSWORD?Need to set PELLET_PUBLISHING_PASSWORD}" export PUBLISHING_PASSWORD -export SIGNING_KEY_ID="1219477C" +export SIGNING_KEY_ID="785B1DE054B17BDA" export PUBLISHING_URL="https://s01.oss.sonatype.org/service/local/staging/deploy/maven2/" ./gradlew clean check
bash
d_bash_4788
--- +++ @@ -7,7 +7,7 @@ # Unit Test Coverage if [ "${TRAVIS_OS_NAME}" = "linux" ]; then - gcov-4.6 ../../main.cpp --object-directory ./CMakeFiles/safaia_framework.dir + gcov-4.9 ../../main.cpp --object-directory ./CMakeFiles/safaia_framework.dir else gcov ../../main.cpp --object-directory ./CMakeFiles...
bash
d_bash_4789
--- +++ @@ -18,8 +18,9 @@ # Download and extract blobs curl http://code.fairphone.com/downloads/FP2/blobs/${BLOBS_ARCHIVE} -C - -O \ + && BLOBS_SCRIPT=`tar ztf ${BLOBS_ARCHIVE}` && tar zxvf ${BLOBS_ARCHIVE} \ - && yes | sh fp2-sibon-${BLOBS_VERSION}-blobs.sh + && yes | sh ${BLOBS_SCRIPT} # Build source buil...
bash
d_bash_4790
--- +++ @@ -7,6 +7,8 @@ cp ../main.pdf ./ mkdir sitzungsprotokolle cp ../content/projektmanagement/sitzungsprotokolle/protokoll-*.pdf ./sitzungsprotokolle +mkdir praesentationen +cp -r ../presentation/ praesentationen git add . git commit -m "Deployed to GitHub Pages" git push --force --quiet "https://${GH_TOKE...
bash
d_bash_4791
--- +++ @@ -7,4 +7,5 @@ pushd bin && clojure sample.clj > "$mydir/output.txt" popd -diff -u ./test/expected_sample_out.txt "$mydir/output.txt" +diff -u <(cat ./test/expected_sample_out.txt | perl -pe 's/__\d+\#//g') \ + <(cat "$mydir/output.txt" | perl -pe 's/__\d+\#//g')
bash
d_bash_4792
--- +++ @@ -1,21 +1,15 @@ #cloud-config manage_etc_hosts: True runcmd: + - sudo yum install -y wget dnsmasq + - sudo docker run -d --name=consul --net=host consul:latest agent -join=consul.internal - sudo docker run -d --name=registrator --net=host --volume=/var/run/docker.sock:/tmp/docker.sock gliderlabs/reg...
bash
d_bash_4793
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash SCRIPT_DIR="$( cd "$(dirname "$0")" ; pwd -P )" -. "${SCRIPT_DIR}/params.sh" +. "${SCRIPT_DIR}/_import.sh" ${ROOT_DIR}/pipeline/stage_integrationtests/trigger.sh \ ${FORWARD_OPTS[@]} \
bash
d_bash_4794
--- +++ @@ -5,7 +5,7 @@ export PATH=$PATH:$UNIX_BASE/SVN_BIN_DIR:$UNIX_BASE/PYTHON_BIN_DIR:$UNIX_BASE/PYTHON_BIN_DIR/Scripts export PYTHON_DIRECT=1 export PYTHONUNBUFFERED=1 -if [[ $# > 1 ]]; then +if [[ $# > 0 ]]; then $UNIX_BASE/GIT_BIN_DIR/bin/bash.exe "$@" else $UNIX_BASE/GIT_BIN_DIR/git-bash.exe &
bash
d_bash_4795
--- +++ @@ -19,7 +19,7 @@ DEVSTACK_PATH=$GATE_DEST/devstack IS_GATE=True USE_CONSTRAINT_ENV=False - BUILD_OVS_FROM_SOURCE=False + Q_BUILD_OVS_FROM_GIT=False source $NEUTRON_VPN_PATH/tools/configure_for_vpn_func_testing.sh
bash
d_bash_4796
--- +++ @@ -7,9 +7,15 @@ while read -r line do + # Get the next line number num=$(echo $line | cut -f1 -d',') + # ...And the character, though it probably won't be used for these purposes speaker=$(echo $line | cut -f2 -d',') + # ...And the image used for the character image=$(grep "^$speaker," "$char...
bash
d_bash_4797
--- +++ @@ -1,17 +1,19 @@ -#!/bin/sh +#!/bin/bash # Install a custom version of PhantomJS, http://phantomjs.org/ # -# You can either add this here, or configure them on the environment tab of your -# project settings. -PHANTOMJS_VERSION="1.9.8" +# Add at least the following environment variables to your project con...
bash
d_bash_4798
--- +++ @@ -22,3 +22,4 @@ alias gs='git status -sb' # upgrade your git if -sb breaks for you. it's fun. alias gsmu='git submodule update --init' alias gsms='git submodule sync' +alias gsl="git stash list --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(bold blue)<%an>%Creset'"
bash
d_bash_4799
--- +++ @@ -1,7 +1,7 @@ #!/usr/bin/env bash osascript -e 'launch application "Simulator"' -xcrun simctl launch --console booted com.bugsnag.iOSTestApp \ +xcrun simctl launch booted com.bugsnag.iOSTestApp \ "EVENT_TYPE=$EVENT_TYPE" \ "EVENT_DELAY=$EVENT_DELAY" \ "BUGSNAG_API_KEY=$BUGSNAG_API_KEY" \
bash